Package: org.gradle.api.tasks.scala

## [Java] Class IncrementalCompileOptions

- org.gradle.api.tasks.scala.IncrementalCompileOptions

- All Implemented Interfaces and Traits:
    Serializable

      @Incubating
      public class IncrementalCompileOptions
      extends Object

  Options for incremental compilation of Scala code. Only used for compilation with Zinc.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `File` | `getAnalysisFile()` Returns the file path where results of code analysis are to be stored.
    `File` | `getPublishedCode()` Returns the directory or archive path by which the code produced by this task is published to other `ScalaCompile` tasks.
    `void` | `setAnalysisFile(File analysisFile)` Sets the file path where results of code analysis are to be stored.
    `void` | `setPublishedCode(File publishedCode)` Sets the directory or archive path by which the code produced by this task is published to other `ScalaCompile` tasks.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Method Detail

    - #### @Input public File getAnalysisFile()

      Returns the file path where results of code analysis are to be stored.

      Returns:
        the file path where which results of code analysis are to be stored

    - #### public File getPublishedCode()

      Returns the directory or archive path by which the code produced by this task is published to other `ScalaCompile` tasks.

      Returns:
        the directory or archive path by which the code produced by this task is published to other `ScalaCompile` tasks

    - #### public void setAnalysisFile(File analysisFile)

      Sets the file path where results of code analysis are to be stored.

    - #### public void setPublishedCode(File publishedCode)

      Sets the directory or archive path by which the code produced by this task is published to other `ScalaCompile` tasks.